---

inputType: "CA10__CaGoogleSqlInstance__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaGoogleSqlInstance__c/object.extracts.yaml
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "This is not a Mysql database instance."
    check:
      NOT:
        arg:
          CONTAINS:
            arg:
              EXTRACT: "CA10__databaseVersion__c"
            substring:
              TEXT: "MYSQL" 
  - status: "COMPLIANT"
    currentStateMessage: "local_infile database flag is set to off."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "caExtract_databaseFlags_local_infile_flagValue__c"
        right:
          TEXT: "off"
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "local_infile database flag isn't set to off."
  remediationMessage: "Set local_infile database flag to off."